Subject: Re: Linux for MIPS Atlas 4Kc board -problems :(

From: "Michael Anburaj" <[email-masked]>
Date: Fri, 14 May 2004 23:24:30 -0700

Hi,

I have requirement in my project where I have to specify an object file 
contained in a library file in my linker script.

Something like this:

MySection 0x1000 :
{
      myobj.o of mylib.a (.bss, COMMON)
}

In ADS scatter map its enough to specify just the object files name. And the 
linker would pull it from the linked-in libraries. I tried the same with GCC 
(with it,s linker script), something like this,

ZeroISection 0x1000 :
{
      myobj.o (.bss, COMMON)
}

Does not work. Even thought the linker was supplied with mylib.a, which 
contains myobj.o; it still gives errors “myobj.o not found”.

Please help me with this.

Thanks a lot,
-Mike.